Bug 4847 - x.org hangs with DRI and r300
Summary: x.org hangs with DRI and r300
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Radeon (show other bugs)
Version: 7.1 (2006.05)
Hardware: x86 (IA32) Linux (All)
: low critical
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords: regression
: 4486 5997 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-10-23 03:53 UTC by the_nihilant
Modified: 2006-11-19 07:14 UTC (History)
13 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description the_nihilant 2005-10-23 03:53:55 UTC
I tried X.org 6.9-RC1 on amd64, linux kernel 2.6.14-rc2-git5 and 2.6.14-rc5
(the first with radeonfb, the second both with and without)

the screen blanks and stays blank, and after some seconds, everything freezes.
I can't even reboot with magic-sysrq.

the card is (taken from lspci) :
"VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]"

Xorg log file doesn't show any error (just some warnings because it is enabling
direct rendering on r300).

the last lines of the kernel log are:

[drm] Initialized drm 1.0.0 20040925
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 185
[drm] Initialized radeon 1.17.0 20050311 on minor 0: 
mtrr: 0xd8000000,0x8000000 overlaps existing 0xd8000000,0x4000000
agpgart: Found an AGP 3.5 compliant device at 0000:00:00.0.
agpgart: Putting AGP V3 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V3 device at 0000:01:00.0 into 4x mode
[drm] Loading R300 Microcode


here is the full log of X.org:

This is a pre-release version of the The X.Org Foundation X11.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the The X.Org Foundation "monolithic tree" CVS
repository hosted at http://www.freedesktop.org/Software/xorg/
X Window System Version 6.8.99.901 (6.9.0 RC 1)
Release Date: 18 October 2005 + cvs
X Protocol Version 11, Revision 0, Release 6.8.99.901
Build Operating System: Linux 2.6.14-rc2-git6 x86_64 [ELF] 
Current Operating System: Linux shaihulud 2.6.14-rc5 #1 Sat Oct 22 01:16:21 CEST
2005 x86_64
Build Date: 21 October 2005
        Before reporting problems, check http://wiki.X.Org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Oct 22 01:22:31 2005
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "xfLayout"
(**) |-->Screen "xfScreen" (0)
(**) |   |-->Monitor "xfMonitor"
(**) |   |-->Device "Radeon"
(**) |-->Input Device "Keyboard1"
(**) |-->Input Device "Touchpad"
(**) |-->Input Device "MouseUSB"
(==) |-->Input Device "Keyboard1"
(WW) The core keyboard device wasn't specified explicitly in the layout.
        Using the first keyboard device.
(WW) The directory "/usr/X11R6/lib/X11/fonts/local/" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/TTF/" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/CID/" does not exist.
        Entry deleted from font path.
(**) FontPath set to
"unix/:7100,unix/:7110,/usr/X11R6/lib/X11/fonts/misc/,/usr/lib/X11/fonts/cyrillic,/usr/X11R6/lib/X11/fonts/75dpi/:unscaled,/usr/X11R6/lib/X11/fonts/100dpi/:unscaled,/usr/X11R6/lib/X11/fonts/Type1/,/usr/X11R6/lib/X11/fonts/Speedo/,/usr/X11R6/lib/X11/fonts/75dpi/,/usr/X11R6/lib/X11/fonts/100dpi/"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(**) ModulePath set to "/usr/X11R6/libXorg6.9/modules"
(**) Option "BlankTime" "10"
(**) Option "StandbyTime" "20"
(**) Option "SuspendTime" "30"
(**) Option "OffTime" "60"
(**) Extension "Composite" is enabled
(**) Extension "RENDER" is enabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.2
        X.Org Video Driver: 0.8
        X.Org XInput driver : 0.5
        X.Org Server Extension : 0.2
        X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/libXorg6.9/modules/fonts/libbitmap.so
(II) Module bitmap: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/libXorg6.9/modules/libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.8
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1106,3188 card 1025,0046 rev 01 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1106,b188 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:0a:0: chip 8086,1043 card 8086,2527 rev 04 class 02,80,00 hdr 00
(II) PCI: 00:0b:0: chip 1180,0476 card 3000,0000 rev aa class 06,07,00 hdr 82
(II) PCI: 00:0b:1: chip 1180,0476 card 6000,0000 rev aa class 06,07,00 hdr 82
(II) PCI: 00:0b:2: chip 1180,0552 card 1025,0046 rev 02 class 0c,00,10 hdr 80
(II) PCI: 00:0c:0: chip 14e4,169c card 1025,0046 rev 03 class 02,00,00 hdr 00
(II) PCI: 00:10:0: chip 1106,3038 card 1025,0046 rev 80 class 0c,03,00 hdr 80
(II) PCI: 00:10:1: chip 1106,3038 card 1025,0046 rev 80 class 0c,03,00 hdr 80
(II) PCI: 00:10:2: chip 1106,3038 card 1025,0046 rev 80 class 0c,03,00 hdr 80
(II) PCI: 00:10:3: chip 1106,3104 card 1025,0046 rev 82 class 0c,03,20 hdr 00
(II) PCI: 00:11:0: chip 1106,3177 card 1025,0046 rev 00 class 06,01,00 hdr 80
(II) PCI: 00:11:1: chip 1106,0571 card 1025,0046 rev 06 class 01,01,8a hdr 00
(II) PCI: 00:11:5: chip 1106,3059 card 1025,0046 rev 50 class 04,01,00 hdr 00
(II) PCI: 00:11:6: chip 1106,3068 card 1025,0046 rev 80 class 07,80,00 hdr 00
(II) PCI: 00:18:0: chip 1022,1100 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 00:18:1: chip 1022,1101 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 00:18:2: chip 1022,1102 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 00:18:3: chip 1022,1103 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 01:00:0: chip 1002,4e50 card 1025,0046 rev 00 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,6), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0       0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000c (VGA_EN is set)
(II) Bus 1 I/O range:
        [0] -1  0       0x00002000 - 0x000020ff (0x100) IX[B]
        [1] -1  0       0x00002400 - 0x000024ff (0x100) IX[B]
        [2] -1  0       0x00002800 - 0x000028ff (0x100) IX[B]
        [3] -1  0       0x00002c00 - 0x00002cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0       0xd0100000 - 0xd01fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0       0xd8000000 - 0xdfffffff (0x8000000) MX[B]
(II) PCI-to-CardBus bridge:
(II) Bus 2: bridge is at (0:11:0), (0,2,5), BCTRL: 0x0580 (VGA_EN is cleared)
(II) Bus 2 I/O range:
        [0] -1  0       0x00003000 - 0x00003fff (0x1000) IX[B]
        [1] -1  0       0x00005000 - 0x00005fff (0x1000) IX[B]
(II) Bus 2 non-prefetchable memory range:
        [0] -1  0       0x32000000 - 0x33ffffff (0x2000000) MX[B]
(II) Bus 2 prefetchable memory range:
        [0] -1  0       0x30000000 - 0x31ffffff (0x2000000) MX[B]
(II) PCI-to-CardBus bridge:
(II) Bus 6: bridge is at (0:11:1), (0,6,9), BCTRL: 0x0580 (VGA_EN is cleared)
(II) Bus 6 I/O range:
        [0] -1  0       0x00006000 - 0x00006fff (0x1000) IX[B]
        [1] -1  0       0x00007000 - 0x00007fff (0x1000) IX[B]
(II) Bus 6 non-prefetchable memory range:
        [0] -1  0       0x36000000 - 0x37ffffff (0x2000000) MX[B]
(II) Bus 6 prefetchable memory range:
        [0] -1  0       0x34000000 - 0x35ffffff (0x2000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:17:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] rev 0,
Mem @ 0xd8000000/27, 0xd0100000/16, I/O @ 0x2000/8
(II) Addressable bus resource ranges are
        [0] -1  0       0x00000000 - 0xffffffff (0x100000000) MX[B]
        [1] -1  0       0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xefffffff to 0xdfffffff
(II) Active PCI resource ranges:
        [0] -1  0       0xd0001800 - 0xd00018ff (0x100) MX[B]
        [1] -1  0       0xd0010000 - 0xd001ffff (0x10000) MX[B]
        [2] -1  0       0xd0001000 - 0xd00017ff (0x800) MX[B]
        [3] -1  0       0xd0000000 - 0xd0000fff (0x1000) MX[B]
        [4] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [5] -1  0       0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
        [6] -1  0       0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [7] -1  0       0x00001800 - 0x000018ff (0x100) IX[B]
        [8] -1  0       0x00001400 - 0x000014ff (0x100) IX[B]
        [9] -1  0       0x00001000 - 0x0000100f (0x10) IX[B]
        [10] -1 0       0x00001060 - 0x0000107f (0x20) IX[B]
        [11] -1 0       0x00001040 - 0x0000105f (0x20) IX[B]
        [12] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [13] -1 0       0x00002000 - 0x000020ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0       0xd0001800 - 0xd00018ff (0x100) MX[B]
        [1] -1  0       0xd0010000 - 0xd001ffff (0x10000) MX[B]
        [2] -1  0       0xd0001000 - 0xd00017ff (0x800) MX[B]
        [3] -1  0       0xd0000000 - 0xd0000fff (0x1000) MX[B]
        [4] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [5] -1  0       0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
        [6] -1  0       0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [7] -1  0       0x00001800 - 0x000018ff (0x100) IX[B]
        [8] -1  0       0x00001400 - 0x000014ff (0x100) IX[B]
        [9] -1  0       0x00001000 - 0x0000100f (0x10) IX[B]
        [10] -1 0       0x00001060 - 0x0000107f (0x20) IX[B]
        [11] -1 0       0x00001040 - 0x0000105f (0x20) IX[B]
        [12] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [13] -1 0       0x00002000 - 0x000020ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0       0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xd0001800 - 0xd00018ff (0x100) MX[B]
        [6] -1  0       0xd0010000 - 0xd001ffff (0x10000) MX[B]
        [7] -1  0       0xd0001000 - 0xd00017ff (0x800) MX[B]
        [8] -1  0       0xd0000000 - 0xd0000fff (0x1000) MX[B]
        [9] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [10] -1 0       0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
        [11] -1 0       0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [12] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [13] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [14] -1 0       0x00001800 - 0x000018ff (0x100) IX[B]
        [15] -1 0       0x00001400 - 0x000014ff (0x100) IX[B]
        [16] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [17] -1 0       0x00001060 - 0x0000107f (0x20) IX[B]
        [18] -1 0       0x00001040 - 0x0000105f (0x20) IX[B]
        [19] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [20] -1 0       0x00002000 - 0x000020ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/libXorg6.9/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/libXorg6.9/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/libXorg6.9/modules/fonts/libtype1.so
(II) Module type1: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.2
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/libXorg6.9/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
        compiled for 6.8.99.901, module version = 2.1.0
        Module class: X.Org Font Renderer
        ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "synaptics"
(II) Loading /usr/X11R6/libXorg6.9/modules/input/synaptics_drv.o
(II) Module synaptics: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.3
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/libXorg6.9/modules/extensions/libGLcore.so
dlopen: /usr/X11R6/libXorg6.9/modules/extensions/libGLcore.so: undefined symbol:
__glXLastContext
(EE) Failed to load /usr/X11R6/libXorg6.9/modules/extensions/libGLcore.so
(II) UnloadModule: "GLcore"
(EE) Failed to load module "GLcore" (loader failed, 7)
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/libXorg6.9/modules/libddc.so
(II) Module ddc: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.8
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/libXorg6.9/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/libXorg6.9/modules/linux/libdrm.so
(II) Module drm: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/libXorg6.9/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/libXorg6.9/modules/extensions/libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "radeon"
(II) Loading /usr/X11R6/libXorg6.9/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 4.0.1
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 0.8
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/libXorg6.9/modules/drivers/ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 6.5.6
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 0.8
(II) LoadModule: "kbd"
(II) Loading /usr/X11R6/libXorg6.9/modules/input/kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 0.5
(II) LoadModule: "synaptics"
(II) Reloading /usr/X11R6/libXorg6.9/modules/input/synaptics_drv.o
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/libXorg6.9/modules/input/mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 0.5
(II) ATI: ATI driver (version 6.5.6) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets:
        ATI Rage 128 Mobility M3 LE (PCI), ATI Rage 128 Mobility M3 LF (AGP),
        ATI Rage 128 Mobility M4 MF (AGP), ATI Rage 128 Mobility M4 ML (AGP),
        ATI Rage 128 Pro GL PA (PCI/AGP), ATI Rage 128 Pro GL PB (PCI/AGP),
        ATI Rage 128 Pro GL PC (PCI/AGP), ATI Rage 128 Pro GL PD (PCI),
        ATI Rage 128 Pro GL PE (PCI/AGP), ATI Rage 128 Pro GL PF (AGP),
        ATI Rage 128 Pro VR PG (PCI/AGP), ATI Rage 128 Pro VR PH (PCI/AGP),
        ATI Rage 128 Pro VR PI (PCI/AGP), ATI Rage 128 Pro VR PJ (PCI/AGP),
        ATI Rage 128 Pro VR PK (PCI/AGP), ATI Rage 128 Pro VR PL (PCI/AGP),
        ATI Rage 128 Pro VR PM (PCI/AGP), ATI Rage 128 Pro VR PN (PCI/AGP),
        ATI Rage 128 Pro VR PO (PCI/AGP), ATI Rage 128 Pro VR PP (PCI),
        ATI Rage 128 Pro VR PQ (PCI/AGP), ATI Rage 128 Pro VR PR (PCI),
        ATI Rage 128 Pro VR PS (PCI/AGP), ATI Rage 128 Pro VR PT (PCI/AGP),
        ATI Rage 128 Pro VR PU (PCI/AGP), ATI Rage 128 Pro VR PV (PCI/AGP),
        ATI Rage 128 Pro VR PW (PCI/AGP), ATI Rage 128 Pro VR PX (PCI/AGP),
        ATI Rage 128 GL RE (PCI), ATI Rage 128 GL RF (AGP),
        ATI Rage 128 RG (AGP), ATI Rage 128 VR RK (PCI),
        ATI Rage 128 VR RL (AGP), ATI Rage 128 4X SE (PCI/AGP),
        ATI Rage 128 4X SF (PCI/AGP), ATI Rage 128 4X SG (PCI/AGP),
        ATI Rage 128 4X SH (PCI/AGP), ATI Rage 128 4X SK (PCI/AGP),
        ATI Rage 128 4X SL (PCI/AGP), ATI Rage 128 4X SM (AGP),
        ATI Rage 128 4X SN (PCI/AGP), ATI Rage 128 Pro ULTRA TF (AGP),
        ATI Rage 128 Pro ULTRA TL (AGP), ATI Rage 128 Pro ULTRA TR (AGP),
        ATI Rage 128 Pro ULTRA TS (AGP?), ATI Rage 128 Pro ULTRA TT (AGP?),
        ATI Rage 128 Pro ULTRA TU (AGP?)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
        ATI Radeon VE/7000 QY (AGP/PCI), ATI Radeon VE/7000 QZ (AGP/PCI),
        ATI ES1000 515E (PCI), ATI ES1000 5969 (PCI),
        ATI Radeon Mobility M7 LW (AGP),
        ATI Mobility FireGL 7800 M7 LX (AGP),
        ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
        ATI Radeon IGP320 (A3) 4136, ATI Radeon IGP320M (U1) 4336,
        ATI Radeon IGP330/340/350 (A4) 4137,
        ATI Radeon IGP330M/340M/350M (U2) 4337,
        ATI Radeon 7000 IGP (A4+) 4237, ATI Radeon Mobility 7000 IGP 4437,
        ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
        ATI Radeon 9100 QM (AGP), ATI Radeon 8500 AIW BB (AGP),
        ATI Radeon 8500 AIW BC (AGP), ATI Radeon 7500 QW (AGP/PCI),
        ATI Radeon 7500 QX (AGP/PCI), ATI Radeon 9000/PRO If (AGP/PCI),
        ATI Radeon 9000 Ig (AGP/PCI), ATI FireGL Mobility 9000 (M9) Ld (AGP),
        ATI Radeon Mobility 9000 (M9) Lf (AGP),
        ATI Radeon Mobility 9000 (M9) Lg (AGP),
        ATI Radeon 9100 IGP (A5) 5834,
        ATI Radeon Mobility 9100 IGP (U3) 5835, ATI Radeon 9100 PRO IGP 7834,
        ATI Radeon Mobility 9200 IGP 7835, ATI Radeon 9200PRO 5960 (AGP),
        ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
        ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
        ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
        ATI Radeon Mobility 9200 (M9+) 5C63 (AGP), ATI Radeon 9500 AD (AGP),
        ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
        ATI FireGL Z1 AG (AGP), ATI Radeon 9700 Pro ND (AGP),
        ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9700 NF (AGP),
        ATI FireGL X1 NG (AGP), ATI Radeon 9600 AP (AGP),
        ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
        ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP),
        ATI FireGL RV360 AV (AGP),
        ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
        ATI Radeon Mobility 9600 (M10) NQ (AGP),
        ATI Radeon Mobility 9600 (M11) NR (AGP),
        ATI Radeon Mobility 9600 (M10) NS (AGP),
        ATI FireGL Mobility T2 (M10) NT (AGP),
        ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon 9650,
        ATI Radeon 9800SE AH (AGP), ATI Radeon 9800 AI (AGP),
        ATI Radeon 9800 AJ (AGP), ATI FireGL X2 AK (AGP),
        ATI Radeon 9800PRO NH (AGP), ATI Radeon 9800 NI (AGP),
        ATI FireGL X2 NK (AGP), ATI Radeon 9800XT NJ (AGP),
        ATI Radeon X600 (RV380) 3E50 (PCIE),
        ATI FireGL V3200 (RV380) 3E54 (PCIE),
        ATI Radeon Mobility X600 (M24) 3150 (PCIE),
        ATI FireGL M24 GL 3154 (PCIE), ATI Radeon X300 (RV370) 5B60 (PCIE),
        ATI Radeon X600 (RV370) 5B62 (PCIE),
        ATI FireGL V3100 (RV370) 5B64 (PCIE),
        ATI FireGL D1100 (RV370) 5B65 (PCIE),
        ATI Radeon Mobility M300 (M22) 5460 (PCIE),
        ATI FireGL M22 GL 5464 (PCIE), ATI Radeon XPRESS 200 5A41 (PCIE),
        ATI Radeon XPRESS 200M 5A42 (PCIE),
        ATI Radeon XPRESS 200 5A61 (PCIE),
        ATI Radeon XPRESS 200M 5A62 (PCIE),
        ATI Radeon XPRESS 200 5954 (PCIE),
        ATI Radeon XPRESS 200M 5955 (PCIE),
        ATI Radeon XPRESS 200 5974 (PCIE),
        ATI Radeon XPRESS 200M 5975 (PCIE), ATI FireGL V5000 (RV410) (PCIE),
        ATI Mobility FireGL V5000 (M26) (PCIE),
        ATI Mobility FireGL V5000 (M26) (PCIE),
        ATI Mobility Radeon X700 (M26) (PCIE),
        ATI Mobility Radeon X700 (M26) (PCIE),
        ATI Radeon X700 PRO (RV410) (PCIE),
        ATI Radeon X700 XT (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 SE (RV410) (PCIE),
        ATI Radeon X800 (R420) JH (AGP), ATI Radeon X800PRO (R420) JI (AGP),
        ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
        ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
        ATI Radeon Mobility 9800 (M18) JN (AGP),
        ATI Radeon X800XT (R420) JP (AGP), ATI Radeon X800 SE (R420) (AGP),
        ATI Radeon X800 (R423) UH (PCIE),
        ATI Radeon X800PRO (R423) UI (PCIE),
        ATI Radeon X800LE (R423) UJ (PCIE),
        ATI Radeon X800SE (R423) UK (PCIE),
        ATI FireGL V7200 (R423) UQ (PCIE), ATI FireGL V5100 (R423) UR (PCIE),
        ATI FireGL V7100 (R423) UT (PCIE),
        ATI Radeon X800XT (R423) 5D57 (PCIE), ATI FireGL V7100 (R423) (PCIE),
        ATI Mobility FireGL V5100 (M28) (PCIE),
        ATI Mobility Radeon X800 (M28) (PCIE),
        ATI Mobility Radeon X800 XT (M28) (PCIE),
        ATI Radeon X800 (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
        ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 XTP (R430) (PCIE),
        ATI Radeon X850 5D4C (PCIE), ATI Radeon FireGL (R480) GL 5D50 (PCIE),
        ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
        ATI Radeon X850 XT (R480) (PCIE),
        ATI Radeon X850 XT PE (R480) (PCIE),
        ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
        ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP) found
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xd0001800 - 0xd00018ff (0x100) MX[B]
        [6] -1  0       0xd0010000 - 0xd001ffff (0x10000) MX[B]
        [7] -1  0       0xd0001000 - 0xd00017ff (0x800) MX[B]
        [8] -1  0       0xd0000000 - 0xd0000fff (0x1000) MX[B]
        [9] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [10] -1 0       0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
        [11] -1 0       0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [12] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [13] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [14] -1 0       0x00001800 - 0x000018ff (0x100) IX[B]
        [15] -1 0       0x00001400 - 0x000014ff (0x100) IX[B]
        [16] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [17] -1 0       0x00001060 - 0x0000107f (0x20) IX[B]
        [18] -1 0       0x00001040 - 0x0000105f (0x20) IX[B]
        [19] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [20] -1 0       0x00002000 - 0x000020ff (0x100) IX[B](B)
(II) Loading sub module "radeon"
(II) LoadModule: "radeon"
(II) Reloading /usr/X11R6/libXorg6.9/modules/drivers/radeon_drv.so
(II) resource ranges after probing:
        [0] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0       0xd0001800 - 0xd00018ff (0x100) MX[B]
        [6] -1  0       0xd0010000 - 0xd001ffff (0x10000) MX[B]
        [7] -1  0       0xd0001000 - 0xd00017ff (0x800) MX[B]
        [8] -1  0       0xd0000000 - 0xd0000fff (0x1000) MX[B]
        [9] -1  0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [10] -1 0       0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
        [11] -1 0       0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [12] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [13] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [14] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B]
        [15] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [16] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [17] -1 0       0x00001800 - 0x000018ff (0x100) IX[B]
        [18] -1 0       0x00001400 - 0x000014ff (0x100) IX[B]
        [19] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [20] -1 0       0x00001060 - 0x0000107f (0x20) IX[B]
        [21] -1 0       0x00001040 - 0x0000105f (0x20) IX[B]
        [22] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [23] -1 0       0x00002000 - 0x000020ff (0x100) IX[B](B)
        [24] 0  0       0xd01203b0 - 0xd01203bb (0xc) IS[B]
        [25] 0  0       0xd01203c0 - 0xd01203df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) RADEON(0): MMIO registers at 0xd0100000
(II) RADEON(0): PCI bus 1 card 0 func 0
(**) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(**) RADEON(0): Option "NoAccel" "false"
(**) RADEON(0): Option "SWcursor" "off"
(**) RADEON(0): Option "AGPMode" "4"
(**) RADEON(0): Option "AGPFastWrite" "true"
(**) RADEON(0): Option "EnablePageFlip" "true"
(**) RADEON(0): Option "CRT2HSync" "31.5-35.5"
(**) RADEON(0): Option "CRT2VRefresh" "50.0-87.0"
(**) RADEON(0): Option "CRT2Position" "RightOf"
(**) RADEON(0): Option "MetaModes" "1024x768-1024x768 1024x768-800x600
1024x768-640x480"
(**) RADEON(0): Option "RenderAccel" "1"
(**) RADEON(0): Option "SubPixelOrder" "NONE"
(**) RADEON(0): Option "DynamicClocks" "true"
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/libXorg6.9/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 0.1.0
        ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/libXorg6.9/modules/linux/libint10.so
(II) Module int10: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(--) RADEON(0): Chipset: "ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP)"
(ChipID = 0x4e50)
(--) RADEON(0): Linear framebuffer at 0xd8000000
(--) RADEON(0): VideoRAM: 65536 kByte (128 bit DDR SDRAM)
(II) RADEON(0): AGP card detected
(II) RADEON(0): Color tiling disabled
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/libXorg6.9/modules/libddc.so
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/libXorg6.9/modules/libi2c.so
(II) Module i2c: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.2.0
        ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): I2C bus "DDC" initialized.
(II) RADEON(0): Legacy BIOS detected
(II) RADEON(0): LVDS port is not in connector table, added in.
(II) RADEON(0): Connector0: DDCType-0, DACType-1, TMDSType--1, ConnectorType-1
(II) RADEON(0): Connector1: DDCType-3, DACType-0, TMDSType--1, ConnectorType-2
(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): DDC Type: 3, Detected Type: 0
(II) RADEON(0): 
(II) RADEON(0): Primary:
 Monitor   -- LVDS
 Connector -- VGA
 DAC Type  -- Primary
 TMDS Type -- NONE
 DDC Type  -- VGA_DDC
(II) RADEON(0): Secondary:
 Monitor   -- NONE
 Connector -- Proprietary
 DAC Type  -- TVDAC/ExtDAC
 TMDS Type -- NONE
 DDC Type  -- NONE
(II) RADEON(0): PLL parameters: rf=2700 rd=6 min=20000 max=46909632841912;
xclk=20000
(WW) RADEON(0): Failed to detect secondary monitor, MergedFB/Clone mode disabled
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
(II) RADEON(0): Validating modes on Primary head ---------
(II) RADEON(0): Panel ID string: 1024x768                
(II) RADEON(0): Panel Size from BIOS: 1024x768
(II) RADEON(0): BIOS provided dividers will be used.
(II) RADEON(0): Total number of valid DDC mode(s) found: 0
(II) RADEON(0): Valid mode using on-chip RMX: 1024x768
(II) RADEON(0): Valid mode using on-chip RMX: 800x600
(II) RADEON(0): Valid mode using on-chip RMX: 640x480
(II) RADEON(0): Total number of valid FP mode(s) found: 3
(--) RADEON(0): Virtual size is 1024x768 (pitch 1024)
(**) RADEON(0): *Mode "1024x768": 65.0 MHz (scaled from 0.0 MHz), 48.4 kHz, 60.0 Hz
(II) RADEON(0): Modeline "1024x768"   65.00  1024 1040 1176 1344  768 770 776 806
(**) RADEON(0): *Mode "800x600": 65.0 MHz (scaled from 0.0 MHz), 48.4 kHz, 60.0 Hz
(II) RADEON(0): Modeline "800x600"   65.00  800 1040 1176 1344  600 770 776 806
(**) RADEON(0): *Mode "640x480": 65.0 MHz (scaled from 0.0 MHz), 48.4 kHz, 60.0 Hz
(II) RADEON(0): Modeline "640x480"   65.00  640 1040 1176 1344  480 770 776 806
(**) RADEON(0):  Default mode "640x350": 65.0 MHz (scaled from 0.0 MHz), 48.4
kHz, 60.0 Hz
(II) RADEON(0): Modeline "640x350"   65.00  640 1040 1176 1344  350 770 776 806
(**) RADEON(0):  Default mode "640x400": 65.0 MHz (scaled from 0.0 MHz), 48.4
kHz, 60.0 Hz
(II) RADEON(0): Modeline "640x400"   65.00  640 1040 1176 1344  400 770 776 806
(**) RADEON(0):  Default mode "720x400": 65.0 MHz (scaled from 0.0 MHz), 48.4
kHz, 60.0 Hz
(II) RADEON(0): Modeline "720x400"   65.00  720 1040 1176 1344  400 770 776 806
(**) RADEON(0):  Default mode "832x624": 65.0 MHz (scaled from 0.0 MHz), 48.4
kHz, 60.0 Hz
(II) RADEON(0): Modeline "832x624"   65.00  832 1040 1176 1344  624 770 776 806
(==) RADEON(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/libXorg6.9/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.2
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/libXorg6.9/modules/libramdac.so
(II) Module ramdac: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 0.1.0
        ABI class: X.Org Video Driver, version 0.8
(==) RADEON(0): Using XAA acceleration architecture
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/libXorg6.9/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.2.0
        ABI class: X.Org Video Driver, version 0.8
(**) RADEON(0): AGP 4x mode is configured
(**) RADEON(0): Enabling AGP Fast Write
(II) Loading sub module "shadowfb"
(II) LoadModule: "shadowfb"
(II) Loading /usr/X11R6/libXorg6.9/modules/libshadowfb.so
(II) Module shadowfb: vendor="X.Org Foundation"
        compiled for 6.8.99.901, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.2
(II) RADEON(0): Page flipping enabled
(II) RADEON(0): Will try to use DMA for Xv image transfers
(II) RADEON(0): No MM_TABLE found - assuming CARD is not TV-in capable.
(!!) RADEON(0): For information on using the multimedia capabilities
        of this adapter, please see http://gatos.sf.net.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0       0xd0100000 - 0xd010ffff (0x10000) MX[B]
        [1] 0   0       0xd8000000 - 0xdfffffff (0x8000000) MX[B]
        [2] -1  0       0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0       0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [4] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0       0xd0001800 - 0xd00018ff (0x100) MX[B]
        [8] -1  0       0xd0010000 - 0xd001ffff (0x10000) MX[B]
        [9] -1  0       0xd0001000 - 0xd00017ff (0x800) MX[B]
        [10] -1 0       0xd0000000 - 0xd0000fff (0x1000) MX[B]
        [11] -1 0       0xe0000000 - 0xdfffffff (0x0) MX[B]O
        [12] -1 0       0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
        [13] -1 0       0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [14] 0  0       0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
        [15] 0  0       0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
        [16] 0  0       0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
        [17] 0  0       0x00002000 - 0x000020ff (0x100) IX[B]
        [18] -1 0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [19] -1 0       0x00000000 - 0x000000ff (0x100) IX[B]
        [20] -1 0       0x00001800 - 0x000018ff (0x100) IX[B]
        [21] -1 0       0x00001400 - 0x000014ff (0x100) IX[B]
        [22] -1 0       0x00001000 - 0x0000100f (0x10) IX[B]
        [23] -1 0       0x00001060 - 0x0000107f (0x20) IX[B]
        [24] -1 0       0x00001040 - 0x0000105f (0x20) IX[B]
        [25] -1 0       0x00001020 - 0x0000103f (0x20) IX[B]
        [26] -1 0       0x00002000 - 0x000020ff (0x100) IX[B](B)
        [27] 0  0       0xd01203b0 - 0xd01203bb (0xc) IS[B](OprU)
        [28] 0  0       0xd01203c0 - 0xd01203df (0x20) IS[B](OprU)
(==) RADEON(0): Write-combining range (0xd8000000,0x4000000)
(II) RADEON(0): Dynamic Clock Scaling Enabled
(II) RADEON(0): BIOS HotKeys Disabled
(WW) RADEON(0): Enabling DRM support

        *** Direct rendering support is highly experimental for Radeon 9500
        *** and newer cards. The 3d mesa driver is not provided in this tree.
        *** A very experimental (and incomplete) version is available from Mesa CVS.
        *** Additional information can be found on http://r300.sourceforge.net
        *** This message has been last modified on 2005-08-07.

drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) RADEON(0): [drm] DRM interface version 1.2
(II) RADEON(0): [drm] created "radeon" driver at busid "pci:0000:01:00.0"
(II) RADEON(0): [drm] added 8192 byte SAREA at 0x10000000
(II) RADEON(0): [drm] mapped SAREA 0x10000000 to 0x2aaab11cc000
(II) RADEON(0): [drm] framebuffer handle = 0xd8000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): [agp] Mode 0x1f000a19 [AGP 0x1106/0x3188; Card 0x1002/0x4e50]
(II) RADEON(0): [agp] 8192 kB allocated with handle 0x00000001
(II) RADEON(0): [agp] ring handle = 0xe0000000
(II) RADEON(0): [agp] Ring mapped at 0x2aaab11ce000
(II) RADEON(0): [agp] ring read ptr handle = 0xe0101000
(II) RADEON(0): [agp] Ring read ptr mapped at 0x2aaab12cf000
(II) RADEON(0): [agp] vertex/indirect buffers handle = 0xe0102000
(II) RADEON(0): [agp] Vertex/indirect buffers mapped at 0x2aaab12d0000
(II) RADEON(0): [agp] GART texture map handle = 0xe0302000
(II) RADEON(0): [agp] GART Texture map mapped at 0x2aaab14d0000
(II) RADEON(0): [drm] register handle = 0xd0100000
(II) RADEON(0): [dri] Visual configs initialized
(II) RADEON(0): Depth moves disabled by default
(II) RADEON(0): CP in BM mode
(II) RADEON(0): Using 8 MB GART aperture
(II) RADEON(0): Using 1 MB for the ring buffer
(II) RADEON(0): Using 2 MB for vertex/indirect buffers
(II) RADEON(0): Using 5 MB for GART textures
(II) RADEON(0): Memory manager initialized to (0,0) (1024,8191)
(II) RADEON(0): Reserved area from (0,768) to (1024,770)
(II) RADEON(0): Largest offscreen area available: 1024 x 7421
(II) RADEON(0): Will use back buffer at offset 0xc00000
(II) RADEON(0): Will use depth buffer at offset 0xf00000
(II) RADEON(0): Will use 47104 kb for textures at offset 0x1200000
(II) RADEON(0): Render acceleration unsupported on Radeon 9500/9700 and newer.
(II) RADEON(0): Render acceleration disabled
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Scanline Image Writes
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                32 256x256 slots
                16 512x512 slots
(II) RADEON(0): Acceleration enabled
(==) RADEON(0): Backing store disabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Using hardware cursor (scanline 770)
(II) RADEON(0): Largest offscreen area available: 1024 x 7417
(**) Option "dpms"
(**) RADEON(0): DPMS enabled
(II) RADEON(0): No video input capabilities detected and no information is
provided - disabling multimedia i2c
(II) Loading sub module "theatre_detect"
(II) LoadModule: "theatre_detect"
(II) Loading /usr/X11R6/libXorg6.9/modules/multimedia/theatre_detect_drv.so
(II) Module theatre_detect: vendor="X.Org Foundation"
        compiled for 4.3.99.902, module version = 1.0.0
        ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): no multimedia table present, disabling Rage Theatre.
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
(II) RADEON(0): [DRI] installation complete
(II) RADEON(0): [drm] Added 32 65536 byte vertex/indirect buffers
(II) RADEON(0): [drm] Mapped 32 vertex/indirect buffers
(II) RADEON(0): [drm] dma control initialized, using IRQ 217
(II) RADEON(0): [drm] Initialized kernel GART heap manager, 5111808
(II) RADEON(0): Direct rendering enabled
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(**) Option "Protocol" "standard"
(**) Keyboard1: Protocol: standard
(**) Option "AutoRepeat" "70 50"
(**) Option "XkbRules" "xfree86"
(**) Keyboard1: XkbRules: "xfree86"
(**) Option "XkbModel" "pc104"
(**) Keyboard1: XkbModel: "pc104"
(**) Option "XkbLayout" "it"
(**) Keyboard1: XkbLayout: "it"
(**) Option "XkbVariant" "nodeadkeys"
(**) Keyboard1: XkbVariant: "nodeadkeys"
(**) Option "CustomKeycodes" "off"
(**) Keyboard1: CustomKeycodes disabled
(II) Synaptics touchpad driver version 0.14.3
(--) Touchpad auto-dev sets device to /dev/input/event0
(**) Option "Device" "/dev/input/event0"
(**) Option "LeftEdge" "1700"
(**) Option "RightEdge" "5300"
(**) Option "TopEdge" "1700"
(**) Option "BottomEdge" "4200"
(**) Option "FingerLow" "20"
(**) Option "FingerHigh" "25"
(**) Option "MaxTapTime" "100"
(**) Option "MaxTapMove" "650"
(**) Option "VertScrollDelta" "100"
(--) Touchpad touchpad found
(**) Option "CorePointer"
(**) Touchpad: Core Pointer
(**) Option "Protocol" "IMPs/2"
(**) MouseUSB: Device: "/dev/input/mice"
(**) MouseUSB: Protocol: "IMPs/2"
(**) Option "SendCoreEvents"
(**) MouseUSB: always reports core events
(**) Option "Device" "/dev/input/mice"
(==) MouseUSB: Emulate3Buttons, Emulate3Timeout: 50
(**) MouseUSB: ZAxisMapping: buttons 4, 5, 6 and 7
(**) MouseUSB: Buttons: 7
(**) Option "CoreKeyboard"
(**) Keyboard1: Core Keyboard
(**) Option "Protocol" "standard"
(**) Keyboard1: Protocol: standard
(**) Option "AutoRepeat" "70 50"
(**) Option "XkbRules" "xfree86"
(**) Keyboard1: XkbRules: "xfree86"
(**) Option "XkbModel" "pc104"
(**) Keyboard1: XkbModel: "pc104"
(**) Option "XkbLayout" "it"
(**) Keyboard1: XkbLayout: "it"
(**) Option "XkbVariant" "nodeadkeys"
(**) Keyboard1: XkbVariant: "nodeadkeys"
(**) Option "CustomKeycodes" "off"
(**) Keyboard1: CustomKeycodes disabled
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "MouseUSB" (type: MOUSE)
(II) XINPUT: Adding extended input device "Touchpad" (type: MOUSE)
(II) XINPUT: Adding extended input device "Keyboard1" (type: KEYBOARD)
Synaptics DeviceInit called
SynapticsCtrl called.
Synaptics DeviceOn called
(--) Touchpad touchpad found
(II) MouseUSB: ps2EnableDataReporting: succeeded
Comment 1 Ian Romanick 2005-11-02 22:42:48 UTC
Reassigning to mesa3d-dev as this appears to be a 3D driver problem.
Comment 2 Dave Airlie 2005-11-02 23:29:58 UTC
(In reply to comment #1)
> Reassigning to mesa3d-dev as this appears to be a 3D driver problem.

nope it a 2D driver issue, if X doesn't start its 2D... 

And if I had to guess I'd just call "ricer"

and ask the user to turn off AGPFastWrite and see those the system work then..



Comment 3 Aapo Tahkola 2005-11-03 14:43:28 UTC
(In reply to comment #0)
> (II) RADEON(0): PLL parameters: rf=2700 rd=6 min=20000 max=46909632841912;
> xclk=20000

Ricer indeed...
Not that it matters much but that doesnt look too sane.
Comment 4 Matthias Hopf 2005-11-30 02:39:54 UTC
FYI:

What we are seeing at SuSE seems to be the same bug - or at least related:

https://bugzilla.novell.com/show_bug.cgi?id=127757

So far we only see this on the ATI Radeon Mobility M10, however, on a couple of
different subtypes as it seems. The reports on our side indicate that this bug
is not related to acceleration or DRI. However, I have only been able to
reproduce with both DRI and acceleration enabled.
Comment 5 Matthias Hopf 2005-11-30 02:45:40 UTC
*** Bug 4486 has been marked as a duplicate of this bug. ***
Comment 6 Michel Dänzer 2005-12-01 03:53:30 UTC
Could this be a dynamic clock gating related driver bug? Try commenting out the
calls to RADEONSetDynamicClock().
Comment 7 Andrew Fuller 2005-12-03 05:20:32 UTC
I can confirm this behaviour.  
  
Running Gentoo on amd64 with Xorg7.0RC2 and the r300 drivers from last night's  
CVS.  
  
With this in my xorg.conf, KDM doesn't even appear (not even as far as showing  
the mouse cursor which is before it paints the wallpaper, etc) it just gives me  
a blank screen and I have to hit the power button.  
  
Section "Device"  
  Identifier  "RadeonDriver 0"  
  Driver      "radeon"  
  Option      "AGPFastWrite" "on"  
EndSection  
  
However, if I comment out FastWrite (since the default is "off") I can enable  
fancy things like DynamicClocks:on, AGPMode and AccelMethod:exa and glxgears  
etc all work without issue.  
 
Video card is an ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] 
according to lspci. 
Comment 8 Michel Dänzer 2005-12-05 04:18:06 UTC
(In reply to comment #7)
>   
> However, if I comment out FastWrite (since the default is "off") I can enable  
> fancy things like DynamicClocks:on, AGPMode and AccelMethod:exa and glxgears  
> etc all work without issue.  

This is not a bug, certainly not the one this entry is about. You've merely
discovered the reason AGP FastWrites are an option that defaults to off.
Comment 9 Alexej Davidov 2005-12-11 23:25:41 UTC
Any progress on this? This bug keeps me from updating to xorg 6.9/7.0.

I too have an ATI Radeon Mobility M10 on a Thinkpad T42p. The lock-up occurs
regardless of the settings AGPMode, AGPFastWrite, RenderAccel, AccelMethod, or
whether DRI is enabled or not. However, with DRI enabled the lock-up always
occurs immediately when starting up X. With DRI disabled it will occur some
arbitrary time later. The lock-up is complete: no response to keyboard sysrq,
network. Not even the NMI watchdog gets activated. Also first starting with the
ATI's fglrx driver and then with xorg's radeon driver doesn't help, so it
doesn't seem to be an initialisation problem.
Comment 10 Michel Dänzer 2005-12-13 20:41:51 UTC
Have you played with Option "DynamicClocks" and the suggestion from comment #6?
Comment 11 Kilian CAVALOTTI 2005-12-19 22:39:15 UTC
I experienced the same issue on an IBM Thinkpad T42p (ATI Technologies Inc M10  
NT [FireGL Mobility T2] (rev 80)), complete lock occurs within seconds with 
DRI enabled, and within minutes without DRI, and regardless of the 
DynamicClocks setting.  
Moreover, a probably interesting experiment, which seems to tighten the 
problem in the radeon module area: 
I remarked that my computer locked even when X failed to load. So, I removed 
font definitions from my xorg.conf, then launched X from VT1, waited for it to 
fail, and get the "could not load fixed font" fatal error message. Then I 
waited a little, still in VT1, and the computer locked up all by itself. So it 
hanged even with X not running anymore, but after radeon module has been 
loaded. One sure way to speed up things is to use framebuffer device, after X 
failed (I used links with fb driver to browse the web while compiling X), it 
locks in a second. 
 
I just see Benjamin Herrenschmidt posts on xorg mailing list 
(http://lists.freedesktop.org/archives/xorg/2005-December/011678.html) about 
mem map fixes. I didn't try his patches yet. 
Comment 12 Kilian CAVALOTTI 2005-12-22 01:49:36 UTC
> I just see Benjamin Herrenschmidt posts on xorg mailing list  
> (http://lists.freedesktop.org/archives/xorg/2005-December/011678.html) about  
> mem map fixes. I didn't try his patches yet.  
 
I tried, on a 2.6.15-rc6. And the lockups are gone. Using DRI, DynClocks, 
everything runs smooth for 4 hours now. 
Great work! 
Comment 13 Kilian CAVALOTTI 2005-12-28 22:06:15 UTC
Just FYI, it seems that forcing "AGPMode" "4" in xorg.conf results in X locks 
in DRI applications. AGP 2x or 1x does not cause any hang. 
Comment 14 Corrado Primier 2006-02-23 05:09:25 UTC
*** Bug 5997 has been marked as a duplicate of this bug. ***
Comment 15 Dafydd Harries 2006-03-07 22:16:35 UTC
During the course of normal X usage, I'm not experiencing problems with my M10
(Thinkpad T42).

$ lspci | grep Radeon
0000:01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility
Radeon 9600 M10]

$ glxinfo | grep direct
*********************************WARN_ONCE*********************************
File r300_state.c function r300Enable line 456
TODO - double side stencil !
***************************************************************************
No ctx->FragmentProgram._Current!!
direct rendering: Yes

However, I have experienced lockups with BZFlag (intermittent), Xgl (consistent)
and the metacity composition manager (consistent).
Comment 16 Dafydd Harries 2006-03-07 22:19:35 UTC
I'm using Xorg 7.0.0 on Ubuntu. I'm not using any fancy options:

Section "Device"
        Identifier      "ATI Technologies, Inc. Radeon Mobility 9600/9700
M10/M11 (RV350 NP)"
        Driver          "ati"
        BusID           "PCI:1:0:0"
EndSection
Comment 17 Jerome Glisse 2006-03-07 22:30:29 UTC
I think we still doesn't properly setup r3xx card. fglrx does somethings we
doesn't. Could you try launch an xserver with fglrx (only 2D DDX no need for
fglrx module) quit and then launch your regular xserver/r300 and try apps which
usualy cause a lockup for you. You shouldn't experience anymore lockup.

I hope to get back on this fglrx analysis soon and hopefuly find what we miss.
Comment 18 Benjamin Herrenschmidt 2006-03-08 19:38:50 UTC
Might be useful also if you could try the ati driver from CVS HEAD...
Comment 19 bd 2006-03-13 01:03:50 UTC
Not sure if this is related to #4324 but modular CVS HEAD stopped my X from
crashing.
Comment 20 Michel Dänzer 2006-07-02 13:45:46 UTC
If you're still having this problem, please try current xf86-video-ati git with
radeon DRM >= 1.23.
Comment 21 Matt MacLeod 2006-09-17 12:04:15 UTC
This seems to have been solved for me on Ubuntu Edgy (xorg 7.1.1, I believe).  I
was able to launch and close glxgears 10-15 times with no problem.  Feel free to
close.
Comment 22 Michel Dänzer 2006-09-18 00:52:15 UTC
Can the submitter confirm this is fixed?
Comment 23 the_nihilant 2006-09-18 06:21:01 UTC
(In reply to comment #22)
> Can the submitter confirm this is fixed?

it seems fixed
(thanks!)
Comment 24 Jerome Glisse 2006-09-18 06:26:09 UTC
Closing the bug :)
Comment 25 Treviño 2006-11-17 20:24:50 UTC
I've a Mobility Radeon 9700; using standard mesa dri from Ubuntu Edgy it works
good...

Btw, If I use a newer version of Mesa dri (recompiled from debian unstable or
porting the cvs dri section to the ubuntu mesa, or using the cvs), I get the
freeze when I load glxinfo/glxgears or any other 3d related app.
Xorg.log is ok (exactly like when I run X using standard mesa dri)...

Simply I get a blank screen loading any 3d app or a composite manager.
Comment 26 Michel Dänzer 2006-11-19 07:14:08 UTC
(In reply to comment #25)
> 
> Btw, If I use a newer version of Mesa dri (recompiled from debian unstable or
> porting the cvs dri section to the ubuntu mesa, or using the cvs), I get the
> freeze when I load glxinfo/glxgears or any other 3d related app.

That's not the same problem as reported here. Please follow up to a bug that
matches your symptoms (which would more likely be in the Mesa r300 driver or the
radeon DRM) or file a new one.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.